uk.ac.starlink.hapi

## Enum HapiEndpoint

- java.lang.Object
- - java.lang.Enum<HapiEndpoint>
  - - uk.ac.starlink.hapi.HapiEndpoint

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HapiEndpoint>

      public enum HapiEndpoint
      extends java.lang.Enum<HapiEndpoint>

  Programmatic endpoints defined by the HAPI protocol.
  Since:
    11 Jan 2024
  See Also:
    HAPI 3.1.0 Sec 3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT`
    `CAPABILITIES`
    `CATALOG`
    `DATA`
    `INFO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEndpoint()` Returns the endpoint string.
    `java.lang.String` | `toString()` Returns the endpoint string.
    `static HapiEndpoint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HapiEndpoint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABOUT

          public static final HapiEndpoint ABOUT

    - #### CAPABILITIES

          public static final HapiEndpoint CAPABILITIES

    - #### CATALOG

          public static final HapiEndpoint CATALOG

    - #### INFO

          public static final HapiEndpoint INFO

    - #### DATA

          public static final HapiEndpoint DATA

  - ### Method Detail

    - #### values

          public static HapiEndpoint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HapiEndpoint c : HapiEndpoint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HapiEndpoint valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getEndpoint

          public java.lang.String getEndpoint()

      Returns the endpoint string.
      Returns:
        endpoint string

    - #### toString

          public java.lang.String toString()

      Returns the endpoint string. This just calls `getEndpoint()`.
      Overrides:
        `toString` in class `java.lang.Enum<HapiEndpoint>`
      Returns:
        endpoint string